Robotics Service Bus - Enhancement #916
Factor out configuration cascade to RSC
03/02/2012 03:49 PM - J. Wienke

Status: Resolved
Priority: Normal
Assignee: J. Moringen
Category: C++

Target version: rsb-0.9

Start date: 03/02/2012
Due date:

% Done: 100%
Estimated time: 0.00 hour

Description

ParticipantConfig and logging configuration need the same cascade of files to read from. However, this is currently tightly integrate in

ParticipantConfig.

Extract the common cascade we use (to RSC) and let a method provide a list of ConfigFileSources. PArticipantConfig and logging

configuration just iterate over this list.

Related issues:

Related to Robotics Service Bus - Tasks # 914: Configure logging using rsb co...

Resolved 03/02/2012

Associated revisions

Revision c¢3c4f0c6 - 10/02/2012 11:37 AM - J. Moringen

Use rsc::config::configure for logging, participant configs

fixes #916

- src/rsb/Factory.cpp: in Factory constructor, use
rsc::config::configure instead of configureSubsystem; removed
configureSubsystem

- src/rsb/ParticipantConfig.{h,cpp}: removed fromFile,
fromEnvironment, fromConfiguration

- test/rsb/ParticipantConfigTest.cpp: construct ConfigFileSource
objects manually instead of using fromFile

- test/rsb/FactoryTest.cpp: do not test any assumptions regarding the

default configuration

Revision 70538bb6 - 10/02/2012 07:28 PM - J. Moringen

Use rsc::config::configure for logging, participant configs

fixes #916

- src/rsb/Factory.cpp: in Factory constructor, use
rsc::config::configure instead of configureSubsystem; removed
configureSubsystem

- src/rsb/ParticipantConfig.{h,cpp}: removed fromFile,
fromEnvironment, fromConfiguration

- test/rsb/ParticipantConfigTest.cpp: construct ConfigFileSource
objects manually instead of using fromFile

- test/rsb/FactoryTest.cpp: do not test any assumptions regarding the
default configuration
History

#1 - 06/18/2012 01:53 PM - J. Moringen
- Target version changed from rsb-0.7 to rsb-0.9

#2 - 10/02/2012 10:43 AM - J. Moringen
- Status changed from New to In Progress
- Assignee set to J. Moringen

#3 - 10/02/2012 12:05 PM - J. Moringen
- Status changed from In Progress to Resolved
- % Done changed from 0 to 100

Applied in changeset rsb-cpp|commit:c3c4f0c666487d285f1135545edc150fee5e5906.
